public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-apps/xdm/
Date: Mon,  4 Apr 2022 03:01:19 +0000 (UTC)	[thread overview]
Message-ID: <1649041234.bb67bc20c711b6048e8d93805e1dd34245b8c7b7.mattst88@gentoo> (raw)

commit:     bb67bc20c711b6048e8d93805e1dd34245b8c7b7
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  4 03:00:34 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Apr  4 03:00:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb67bc20

x11-apps/xdm: Version bump to 1.1.13

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-apps/xdm/Manifest          |  1 +
 x11-apps/xdm/xdm-1.1.13.ebuild | 82 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/x11-apps/xdm/Manifest b/x11-apps/xdm/Manifest
index 141eede7e334..67078cd5654f 100644
--- a/x11-apps/xdm/Manifest
+++ b/x11-apps/xdm/Manifest
@@ -1 +1,2 @@
 DIST xdm-1.1.12.tar.bz2 512074 BLAKE2B a82d124f4b7ce3185d703fca3aade92e86094602aec5343566ba8c91c54b70cdedbaea2fa6fee330d7ed48d9138b04a998aa2dae06db2683bfcce6c7693edc82 SHA512 1a4be0a070ced5db8fda6fc74794c9f9ed0cb37fa440fda6a3a7652aff62dfc3d7ba68b9facf054671ebf0f4db2a0eec29d0aa3716e3407ccd5529bac3553bdb
+DIST xdm-1.1.13.tar.xz 418404 BLAKE2B b5e1df5e0fd284b227bac5b07114b7882c34adca8c8f7878350576f865ec0675fc7f8218b5eba24e0ca75895093f9412e838a997562ec99bc8196233354bd7eb SHA512 1c7ba51dc8c6989ff6ede3a3abd06e002903609d4ebd31f06ec39fbfee3a80a690c6180f85c3ab135a0de4623261d92a191d1ca5f733cdb3bd2e7e78977b98e5

diff --git a/x11-apps/xdm/xdm-1.1.13.ebuild b/x11-apps/xdm/xdm-1.1.13.ebuild
new file mode 100644
index 000000000000..14ff8b734c55
--- /dev/null
+++ b/x11-apps/xdm/xdm-1.1.13.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+XORG_EAUTORECONF=yes
+XORG_TARBALL_SUFFIX="xz"
+inherit xorg-3 pam systemd
+
+DEFAULTVT=vt7
+
+DESCRIPTION="X.Org xdm application"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="ipv6 pam systemd truetype xinerama xpm"
+
+RDEPEND="
+	x11-apps/sessreg
+	x11-apps/xconsole
+	x11-apps/xinit
+	x11-apps/xrdb
+	x11-apps/xsm
+	x11-libs/libX11
+	x11-libs/libXaw
+	x11-libs/libXdmcp
+	x11-libs/libXmu
+	x11-libs/libXt
+	virtual/libcrypt:=
+	pam? ( sys-libs/pam )
+	systemd? ( >=sys-apps/systemd-209 )
+	truetype? (
+		x11-libs/libXrender
+		x11-libs/libXft
+	)
+	xinerama? ( x11-libs/libXinerama )
+	xpm? ( x11-libs/libXpm )
+	elibc_glibc? ( dev-libs/libbsd )"
+DEPEND="${RDEPEND}
+	x11-base/xorg-proto"
+
+PATCHES=(
+	"${FILESDIR}"/xdm-1.1.12-make-xinerama-optional.patch
+)
+
+src_prepare() {
+	sed -i -e 's:^Alias=.*$:Alias=display-manager.service:' \
+		xdm.service.in || die
+
+	# Disable XDM-AUTHORIZATION-1 (bug #445662).
+	# it causes issue with libreoffice and SDL games (bug #306223).
+	sed -i -e '/authorize/a DisplayManager*authName:	MIT-MAGIC-COOKIE-1' \
+			config/xdm-config.in || die
+
+	xorg-3_src_prepare
+}
+
+src_configure() {
+	local XORG_CONFIGURE_OPTIONS=(
+		$(use_enable ipv6)
+		$(use_with pam)
+		$(use_with systemd systemd-daemon)
+		$(use_with truetype xft)
+		$(use_with xinerama)
+		$(use_enable xpm xpm-logos)
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+		--with-default-vt=${DEFAULTVT}
+		--with-xdmconfigdir=/etc/X11/xdm
+	)
+	xorg-3_src_configure
+}
+
+src_install() {
+	xorg-3_src_install
+
+	exeinto /usr/$(get_libdir)/X11/xdm
+	doexe "${FILESDIR}"/Xsession
+
+	use pam && pamd_mimic system-local-login xdm auth account session
+
+	# Keep /var/lib/xdm. This is where authfiles are stored. See #286350.
+	keepdir /var/lib/xdm
+}


             reply	other threads:[~2022-04-04  3:01 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-04  3:01 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-05  9:33 [gentoo-commits] repo/gentoo:master commit in: x11-apps/xdm/ Sam James
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2024-05-05  9:33 Sam James
2024-05-05  8:18 Sam James
2024-05-05  8:18 Sam James
2024-05-05  8:18 Sam James
2024-04-21 21:09 Matt Turner
2024-04-05  1:20 Matt Turner
2024-03-23 23:58 Matt Turner
2024-01-24 17:00 Matt Turner
2024-01-23 16:40 Sam James
2024-01-14 20:17 Sam James
2024-01-14 20:17 Sam James
2024-01-14 20:17 Sam James
2024-01-14 20:17 Sam James
2024-01-14 19:53 Arthur Zamarin
2024-01-14 19:53 Arthur Zamarin
2023-01-24 18:29 Arthur Zamarin
2022-12-03 23:49 Matt Turner
2022-05-28  1:35 Sam James
2022-05-25 18:00 Jakov Smolić
2022-05-25 17:57 Jakov Smolić
2022-05-08 23:01 Sam James
2022-05-07 17:55 Jakov Smolić
2022-01-21 12:42 Sam James
2022-01-09  9:46 James Le Cuirot
2021-09-22  8:29 Yixun Lan
2021-06-22 22:38 Sam James
2021-04-05  2:04 Mike Gilbert
2020-10-09  5:54 Mikle Kolyada
2020-10-07 17:40 Mikle Kolyada
2020-10-06 17:47 Mikle Kolyada
2020-03-11 18:42 Matt Turner
2019-10-12 18:11 Mikle Kolyada
2019-05-03 20:30 Sergei Trofimovich
2019-03-03 17:55 Matt Turner
2016-03-13 15:09 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649041234.bb67bc20c711b6048e8d93805e1dd34245b8c7b7.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox